Cancel StatementJob - m3ter Documentation
Cancel StatementJob
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/statementjobs/{id}/cancel \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/statementjobs/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/statementjobs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Successful cancellation of StatementJob.
- 4XX: Client error (e.g., unauthorized, not found).
- 5XX: Server error.
Example Response (200)
{
"id": "<string>",
"version": 123,
"billId": "<string>",
"orgId": "<string>",
"includeCsvFormat": true,
"filters": {
"meterIds": [
"<string>"
]
},
"presignedJsonStatementUrl": "<string>",
"presignedCsvStatementUrl": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Example Response (Error Message)
{
"message": "<string>"
}
Authorizations
- Authorization:
stringin header, required.
Path Parameters
- orgId:
string, required. The unique identifier (UUID) of your Organization. - id:
string, required. The unique identifier (UUID) of the StatementJob to cancel.
Response
Returns the cancelled StatementJob in application/json format.